< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package objectstore
  Definition Classes
    hmrc
-  package client
  Definition Classes
    objectstore
-  package play
  Definition Classes
    client
-  package modules
  Definition Classes
    play
- HttpBody
- Implicits
- InMemoryPlayObjectStoreContentReads
- LowPriorityInMemoryPlayObjectStoreContentReads
- Md5Hash
- MonadFuture
- PlayFormats
- PlayMonad
- PlayMonads
- PlayObjectStoreClient
- PlayObjectStoreClientEither
- PlayObjectStoreContentReads
- PlayObjectStoreContentWrites
- PlayObjectStoreReads
- PlayWSHttpClient

t

uk.gov.hmrc.objectstore.client.play

# PlayMonad 

###

#### trait PlayMonad[F[_]] extends MonadError[F, Exception] with MonadFuture[F]

Linear Supertypes
MonadFuture[F], MonadError[F, Exception], Monad[F], Functor[F], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PlayMonad
2. MonadFuture
3. MonadError
4. Monad
5. Functor
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def flatMap[A, B](fa: F[A])(fn: (A) ⇒ F[B]): F[B]
   Definition Classes
     Monad
2.  abstract def liftFuture[A](future: Future[A]): F[A]
   Definition Classes
     MonadFuture
3.  abstract def pure[A](a: A): F[A]
   Definition Classes
     Monad
4.  abstract def raiseError[A](e: Exception): F[A]
   Definition Classes
     MonadError

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  def map[A, B](fa: F[A])(fn: (A) ⇒ B): F[B]
    Definition Classes
      Monad → Functor
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from MonadFuture[F]

### Inherited from MonadError[F, Exception]

### Inherited from Monad[F]

### Inherited from Functor[F]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped